Skip to main content
`Ctrl`+`K`

# BaseSphericalCosLatDifferential

class astropy.coordinates.BaseSphericalCosLatDifferential(*args, **kwargs)

  Bases: `BaseDifferential`

  Differentials from points on a spherical base representation.

  With cos(lat) assumed to be included in the longitude differential.

  Attributes Summary

  `name` | Name of the representation or differential.

  Attributes Documentation

  name = 'basesphericalcoslat'

    Name of the representation or differential.

    When a subclass is defined, by default, the name is the lower-cased name of the class with with any trailing ‘representation’ or ‘differential’ removed. (E.g., ‘spherical’ for `SphericalRepresentation` or `SphericalDifferential`.)

    This can be customized when defining a subclass by setting the class attribute.